#ifndef CUDAMEDIANFILTERWIDGET_H__
#define CUDAMEDIANFILTERWIDGET_H__

#include <QWidget>
#include "ui_CUDAMedianFilterWidget.h"

class CUDAMedianFilterWidget : public QWidget, public Ui_CUDAMedianFilterWidget
{
	Q_OBJECT

public:
	/// Constructor
	CUDAMedianFilterWidget(QWidget *parent = 0);
	/// Destructor
	~CUDAMedianFilterWidget();

protected slots:
	/// Connected to the radius slider
	void SliderValueChanged(int);

signals:
	/// Signal that is emitted if the check box for the range data changes
	void RangeDataCheckBoxChanged(bool value);
	/// Signal that is emitted if the radius changes
	void RadiusChanged(unsigned int);
};

#endif // CUDAMEDIANFILTERWIDGET_H__
